# Copyright (c) 2019-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# https://docs.ansible.com/ansible/latest/modules/apt_module.html
- apt:
    cache_valid_time: "{{ apt_cache_valid_time | default(omit) }}"
    default_release: "{{ apt_default_release | default(omit) }}"
    name: "{{ libvirt_host_package_names }}"
    state: "{{ libvirt_host_package_state }}"
    update_cache: "{{ apt_update_cache | default(omit) }}"
  become:
    true
